Skip to main content
`Ctrl`+`K`

# MatFactorShiftType

Type of numeric shift used for factorizations

## Synopsis

    typedef enum {
      MAT_SHIFT_NONE,
      MAT_SHIFT_NONZERO,
      MAT_SHIFT_POSITIVE_DEFINITE,
      MAT_SHIFT_INBLOCKS
    } MatFactorShiftType;

## Values

- `MAT_SHIFT_NONE` - do not shift the matrix diagonal entries

- `MAT_SHIFT_NONZERO` - shift the entries to be non-zero

- `MAT_SHIFT_POSITIVE_DEFINITE` - shift the entries to force the factorization to be positive definite

- `MAT_SHIFT_INBLOCKS` - only shift the factors inside the small dense diagonal blocks of the matrix, for example with `MATBAIJ`

## See Also

Matrices, `Mat`, `MatGetFactor()`, `PCFactorSetShiftType()`

## Level

intermediate

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages